> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach linkedin pages and profile

> Attach linkedin pages and profile

Attach linkedin pages and profile

```http theme={null}
POST https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/linkedin/accounts/{accountId}
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="locationId" type="string" required default="w37swmmLbA02zgqKPpxITe2">
  Account Account Id
</ParamField>

<ParamField path="accountId" type="string" required default="w37swmmLbA02zgqKPpxITe">
  Account Id
</ParamField>

## Body

<ParamField body="type" type="string">
  Posibles valores: 'page', 'group', 'profile', 'account', 'business'
</ParamField>

<ParamField body="originId" type="string" default="244405****11687" />

<ParamField body="name" type="string" default="JOHN_DEO" />

<ParamField body="avatar" type="string" />

<ParamField body="urn" type="string" />

<ParamField body="companyId" type="string" default="sdfdsfdsfEWEsdfsdsW32dd">
  Company ID
</ParamField>

## Respuestas

<Accordion title="201 - Successful response">
  <ResponseField name="success" type="boolean" required default="True">
    Success or Failure
  </ResponseField>

  <ResponseField name="statusCode" type="number" required default="200">
    Status Code
  </ResponseField>

  <ResponseField name="message" type="string" required default="Added LinkedIn Account">
    Message
  </ResponseField>

  <ResponseField name="results" type="object">
    Requested Results
  </ResponseField>

  ```json theme={null}
  {
    "success": true,
    "statusCode": 200,
    "message": "Added LinkedIn Account"
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/linkedin/accounts/YOUR_accountId' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "type": "page",
    "originId": "244405****11687",
    "name": "JOHN_DEO",
    "avatar": "string",
    "urn": "string",
    "companyId": "sdfdsfdsfEWEsdfsdsW32dd"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/linkedin/accounts/YOUR_accountId', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"type": "page", "originId": "244405****11687", "name": "JOHN_DEO", "avatar": "string", "urn": "string", "companyId": "sdfdsfdsfEWEsdfsdsW32dd"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/linkedin/accounts/YOUR_accountId',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"type": "page", "originId": "244405****11687", "name": "JOHN_DEO", "avatar": "string", "urn": "string", "companyId": "sdfdsfdsfEWEsdfsdsW32dd"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/linkedin/accounts/YOUR_accountId');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'type': 'page', 'originId': '244405****11687', 'name': 'JOHN_DEO', 'avatar': 'string', 'urn': 'string', 'companyId': 'sdfdsfdsfEWEsdfsdsW32dd'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
